Subject: Re: [Ltru] Issue #41 (AD comment #8) section 3.5 SHOULD vs MUST

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Apr 2009 22:24:00 -0600

Sorry, I hit Send prematurely.

Mark Davis wrote:

> I think it should be a MUST. A SHOULD implies that you don't need to 
> do it if there are good / reasonable reasons not to. That isn't the 
> case here; the requirements are clear.
>
> That doesn't prevent us from taking the request and making fixes to 
> format, spelling, etc before approving.

I think it comes down to how much deviation is acceptable.  RFC 4646bis 
is a long document with some rather arcane rules, and it is likely that 
at least one very sensible subtag request will come along on 
ietf-languages that doesn't conform completely to the RFC.  The question 
is whether such a request will be rejected summarily, or sent back to 
the requestor with instructions to fix the errors, or whether the 
deviations are of such a nature that ietf-languages and the Reviewer can 
figure out what is meant and (with approval of the requestor) correct 
them as necessary.  Debbie Garside and I had a useful discussion about 
this 2 years ago; see 
http://www.alvestrand.no/pipermail/ietf-languages/2007-January/005719.html .

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: Mark Davis <[email-masked]>
Date: Sat, 11 Apr 2009 21:37:08 -0700

Mark

On Sat, Apr 11, 2009 at 21:24, Doug Ewell <[email-masked]> wrote:

>  I think it should be a MUST. A SHOULD implies that you don't need to do it
>> if there are good / reasonable reasons not to. That isn't the case here; the
>> requirements are clear.
>>
> I think it comes down to how much deviation is acceptable.  RFC 4646bis is
> a long document with some rather arcane rules, and it is likely that at
> least one very sensible subtag request will come along on ietf-languages
> that doesn't conform completely to the RFC.  The question is whether such a
> request will be rejected summarily, or sent back to the requestor with
> instructions to fix the errors, or whether the deviations are of such a
> nature that ietf-languages and the Reviewer can figure out what is meant and
> (with approval of the requestor) correct them as necessary.  Debbie Garside
> and I had a useful discussion about this 2 years ago; see
> http://www.alvestrand.no/pipermail/ietf-languages/2007-January/005719.html.

Well, we can't send them on to IANA without fixes, so they need to be fixed.
Nothing should be rejected summarily - your other two options are the right
way to proceed.